Bug 321661 - R300 card is not functional with latest ati driver
R300 card is not functional with latest ati driver
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-06 20:04 EDT by darrell pfeifer
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 6.7.195-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-10 21:07:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log from the failling xorg-x11-drv-ati-6.7.195-1.fc8 (47.18 KB, text/plain)
2007-10-07 20:35 EDT, darrell pfeifer
no flags Details
Log from working FC7 ati driver (44.27 KB, text/plain)
2007-10-07 20:38 EDT, darrell pfeifer
no flags Details

  None (edit)
Description darrell pfeifer 2007-10-06 20:04:44 EDT
Description of problem:

The newest release of the ati driver results in a non-functional X.

Starting with gdm, the screen image is not recognizable as anything.
It is somewhat grey, but largely just garbage. It is possible to
log in blind, but the image after login is also unrecognizable.

01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Mobility Radeon X300]

Version-Release number of selected component (if applicable):

6.7.194-3.fc8 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Replacing the driver with the version from the FC7 dvd results in a working X.
Scanned through the log but I don't see anything unusual.
Comment 1 darrell pfeifer 2007-10-07 11:20:28 EDT
Installed today's xorg-x11-drv-ati-6.7.195-1.fc8

It is non-functional as well. 
Comment 2 Dave Airlie 2007-10-07 19:47:04 EDT
can you attach a log so I can have a look at the panel info?
Comment 3 darrell pfeifer 2007-10-07 20:35:36 EDT
Created attachment 218971 [details]
Log from the failling xorg-x11-drv-ati-6.7.195-1.fc8
Comment 4 darrell pfeifer 2007-10-07 20:38:28 EDT
Created attachment 218981 [details]
Log from working FC7 ati driver
Comment 5 Dave Airlie 2007-10-10 20:52:41 EDT
can you retry with the latest driver from rawhide? ajax backported some LVDS
fixes from upstream..
Comment 6 darrell pfeifer 2007-10-10 21:07:41 EDT
Rawhide didn't give any updates today. Dug xorg-x11-drv-ati-6.7.195-2.fc8 out of
Koji.

This version works correctly, so closing. Thanks ajax and Dave.

Note You need to log in before you can comment on or make changes to this bug.